local ingredients = {
  fluid = {
    ammonia = {
      ["10"] = 10,
      ["20"] = 20,
      ["50"] = 50
    },
    chlorine = {
      ["3"] = 3,
      ["10"] = 10,
      ["12.5"] = 12.5,
      ["25"] = 25,
      ["50"] = 50
    },
    ["crude-oil"] = {
      ["100"] = 100,
      ["250"] = 250
    },
    ["dinitrogen-tetroxide"] = {
      ["80"] = 80,
      ["120"] = 120,
      ["250"] = 250
    },
    ["ferric-chloride-solution"] = {
      ["5"] = 5,
      ["10"] = 10,
      ["50"] = 50
    },
    glycerol = {
      ["10"] = 10,
      ["250"] = 250
    },
    ["heavy-oil"] = {
      ["5"] = 5,
      ["10"] = 10,
      ["20"] = 20,
      ["25"] = 25,
      ["40"] = 40,
      ["50"] = 50,
      ["250"] = 250
    },
    hydrazine = {
      ["160"] = 160,
      ["200"] = 200,
      ["240"] = 240,
      ["250"] = 250,
      ["300"] = 300
    },
    hydrogen = {
      ["5"] = 5,
      ["10"] = 10,
      ["15"] = 15,
      ["16"] = 16,
      ["20"] = 20,
      ["24"] = 24,
      ["50"] = 50,
      ["80"] = 80,
      ["250"] = 250
    },
    ["hydrogen-chloride"] = {
      ["10"] = 10,
      ["25"] = 25,
      ["30"] = 30,
      ["50"] = 50
    },
    ["hydrogen-peroxide"] = {
      ["4"] = 4,
      ["250"] = 250
    },
    ["light-oil"] = {
      ["5"] = 5,
      ["10"] = 10,
      ["15"] = 15,
      ["30"] = 30,
      ["50"] = 50,
      ["250"] = 250
    },
    ["liquid-air"] = {
      ["25"] = 25
    },
    ["liquid-fuel"] = {
      ["30"] = 30,
      ["50"] = 50
    },
    ["lithia-water"] = {
      ["25"] = 25,
      ["100"] = 100,
      ["250"] = 250
    },
    lubricant = {
      ["10"] = 10,
      ["15"] = 15,
      ["20"] = 20,
      ["40"] = 40,
      ["80"] = 80,
      ["250"] = 250
    },
    ["nitric-acid"] = {
      ["10"] = 10,
      ["250"] = 250
    },
    ["nitric-oxide"] = {
      ["20"] = 20,
      ["50"] = 50
    },
    nitrogen = {
      ["10"] = 10,
      ["12.5"] = 12.5,
      ["20"] = 20,
      ["50"] = 50
    },
    ["nitrogen-dioxide"] = {
      ["10"] = 10,
      ["20"] = 20,
      ["50"] = 50
    },
    nitroglycerin = {
      ["60"] = 60,
      ["250"] = 250
    },
    oxygen = {
      ["8"] = 8,
      ["10"] = 10,
      ["20"] = 20,
      ["25"] = 25,
      ["50"] = 50
    },
    ["petroleum-gas"] = {
      ["10"] = 10,
      ["20"] = 20,
      ["30"] = 30,
      ["50"] = 50
    },
    ["pure-water"] = {
      ["10"] = 10,
      ["250"] = 250
    },
    steam = {
      ["50"] = 50
    },
    ["sulfur-dioxide"] = {
      ["20"] = 20,
      ["50"] = 50
    },
    ["sulfuric-acid"] = {
      ["5"] = 5,
      ["10"] = 10,
      ["20"] = 20,
      ["30"] = 30,
      ["40"] = 40,
      ["250"] = 250
    },
    ["sulfuric-nitric-acid"] = {
      ["250"] = 250
    },
    ["tungstic-acid"] = {
      ["10"] = 10,
      ["250"] = 250
    },
    water = {
      ["5"] = 5,
      ["10"] = 10,
      ["15"] = 15,
      ["20"] = 20,
      ["25"] = 25,
      ["30"] = 30,
      ["40"] = 40,
      ["50"] = 50,
      ["100"] = 100,
      ["250"] = 250
    }
  },
  item = {
    ["acid-bullet"] = {
      ["5"] = 5
    },
    ["acid-bullet-projectile"] = {
      ["1"] = 1
    },
    ["acid-rocket-warhead"] = {
      ["1"] = 1
    },
    ["advanced-circuit"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5,
      ["7"] = 7,
      ["8"] = 8,
      ["9"] = 9,
      ["10"] = 10,
      ["16"] = 16,
      ["20"] = 20,
      ["30"] = 30,
      ["50"] = 50,
      ["100"] = 100,
      ["200"] = 200,
      ["500"] = 500
    },
    ["advanced-processing-unit"] = {
      ["3"] = 3,
      ["5"] = 5,
      ["10"] = 10,
      ["20"] = 20,
      ["25"] = 25,
      ["50"] = 50
    },
    ["air-pump"] = {
      ["1"] = 1
    },
    ["air-pump-2"] = {
      ["1"] = 1
    },
    ["air-pump-3"] = {
      ["1"] = 1
    },
    alumina = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["aluminium-plate"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5,
      ["9"] = 9,
      ["10"] = 10,
      ["20"] = 20,
      ["25"] = 25,
      ["75"] = 75
    },
    ["amethyst-3"] = {
      ["1"] = 1
    },
    ["amethyst-4"] = {
      ["1"] = 1
    },
    ["amethyst-5"] = {
      ["1"] = 1
    },
    ["amethyst-ore"] = {
      ["1"] = 1
    },
    ["ammonia-barrel"] = {
      ["1"] = 1
    },
    ["ap-bullet"] = {
      ["5"] = 5
    },
    ["ap-bullet-projectile"] = {
      ["1"] = 1
    },
    ["assembling-machine-1"] = {
      ["1"] = 1
    },
    ["assembling-machine-2"] = {
      ["1"] = 1
    },
    ["assembling-machine-3"] = {
      ["1"] = 1
    },
    ["assembling-machine-4"] = {
      ["1"] = 1
    },
    ["assembling-machine-5"] = {
      ["1"] = 1
    },
    ["basic-circuit-board"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["5"] = 5,
      ["10"] = 10
    },
    ["basic-electronic-components"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5,
      ["6"] = 6,
      ["8"] = 8,
      ["10"] = 10,
      ["12"] = 12
    },
    battery = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5,
      ["10"] = 10,
      ["12"] = 12,
      ["45"] = 45,
      ["100"] = 100
    },
    ["battery-equipment"] = {
      ["2"] = 2
    },
    ["battery-mk2-equipment"] = {
      ["2"] = 2
    },
    ["battery-mk3-equipment"] = {
      ["2"] = 2
    },
    ["battery-mk4-equipment"] = {
      ["2"] = 2
    },
    ["battery-mk5-equipment"] = {
      ["2"] = 2
    },
    ["bauxite-ore"] = {
      ["1"] = 1
    },
    beacon = {
      ["1"] = 1
    },
    ["beacon-2"] = {
      ["1"] = 1
    },
    ["big-electric-pole"] = {
      ["1"] = 1
    },
    ["big-electric-pole-2"] = {
      ["1"] = 1
    },
    ["big-electric-pole-3"] = {
      ["1"] = 1
    },
    ["bob-area-mining-drill-1"] = {
      ["1"] = 1
    },
    ["bob-area-mining-drill-2"] = {
      ["1"] = 1
    },
    ["bob-area-mining-drill-3"] = {
      ["1"] = 1
    },
    ["bob-armoured-cargo-wagon"] = {
      ["1"] = 1
    },
    ["bob-armoured-fluid-wagon"] = {
      ["1"] = 1
    },
    ["bob-armoured-locomotive"] = {
      ["1"] = 1
    },
    ["bob-cargo-wagon-2"] = {
      ["1"] = 1
    },
    ["bob-construction-robot-2"] = {
      ["1"] = 1
    },
    ["bob-construction-robot-3"] = {
      ["1"] = 1
    },
    ["bob-fluid-wagon-2"] = {
      ["1"] = 1
    },
    ["bob-gun-turret-2"] = {
      ["1"] = 1
    },
    ["bob-gun-turret-3"] = {
      ["1"] = 1
    },
    ["bob-gun-turret-4"] = {
      ["1"] = 1
    },
    ["bob-laser-robot"] = {
      ["5"] = 5
    },
    ["bob-laser-turret-2"] = {
      ["1"] = 1
    },
    ["bob-laser-turret-3"] = {
      ["1"] = 1
    },
    ["bob-laser-turret-4"] = {
      ["1"] = 1
    },
    ["bob-locomotive-2"] = {
      ["1"] = 1
    },
    ["bob-logistic-robot-2"] = {
      ["1"] = 1
    },
    ["bob-logistic-robot-3"] = {
      ["1"] = 1
    },
    ["bob-logistic-zone-expander"] = {
      ["1"] = 1
    },
    ["bob-logistic-zone-expander-2"] = {
      ["1"] = 1
    },
    ["bob-logistic-zone-expander-3"] = {
      ["1"] = 1
    },
    ["bob-mining-drill-1"] = {
      ["1"] = 1
    },
    ["bob-mining-drill-2"] = {
      ["1"] = 1
    },
    ["bob-mining-drill-3"] = {
      ["1"] = 1
    },
    ["bob-power-armor-mk3"] = {
      ["1"] = 1
    },
    ["bob-power-armor-mk4"] = {
      ["1"] = 1
    },
    ["bob-pump-2"] = {
      ["1"] = 1
    },
    ["bob-pump-3"] = {
      ["1"] = 1
    },
    ["bob-pumpjack-1"] = {
      ["1"] = 1
    },
    ["bob-pumpjack-2"] = {
      ["1"] = 1
    },
    ["bob-pumpjack-3"] = {
      ["1"] = 1
    },
    ["bob-robo-charge-port"] = {
      ["1"] = 1
    },
    ["bob-robo-charge-port-2"] = {
      ["1"] = 1
    },
    ["bob-robo-charge-port-3"] = {
      ["1"] = 1
    },
    ["bob-robo-charge-port-large"] = {
      ["1"] = 1
    },
    ["bob-robo-charge-port-large-2"] = {
      ["1"] = 1
    },
    ["bob-robo-charge-port-large-3"] = {
      ["1"] = 1
    },
    ["bob-robochest"] = {
      ["1"] = 1
    },
    ["bob-robochest-2"] = {
      ["1"] = 1
    },
    ["bob-robochest-3"] = {
      ["1"] = 1
    },
    ["bob-roboport-2"] = {
      ["1"] = 1
    },
    ["bob-roboport-3"] = {
      ["1"] = 1
    },
    ["bob-sniper-turret-1"] = {
      ["1"] = 1
    },
    ["bob-sniper-turret-2"] = {
      ["1"] = 1
    },
    ["bob-tank-2"] = {
      ["1"] = 1
    },
    boiler = {
      ["1"] = 1
    },
    ["boiler-2"] = {
      ["1"] = 1
    },
    ["boiler-3"] = {
      ["1"] = 1
    },
    ["brass-alloy"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5,
      ["15"] = 15,
      ["50"] = 50
    },
    ["brass-gear-wheel"] = {
      ["2"] = 2,
      ["5"] = 5,
      ["10"] = 10
    },
    ["brass-pipe"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["10"] = 10,
      ["15"] = 15
    },
    ["bronze-alloy"] = {
      ["1"] = 1,
      ["5"] = 5
    },
    ["bronze-pipe"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["10"] = 10,
      ["12"] = 12
    },
    bullet = {
      ["5"] = 5
    },
    ["bullet-casing"] = {
      ["1"] = 1
    },
    ["bullet-projectile"] = {
      ["1"] = 1
    },
    ["calcium-chloride"] = {
      ["2"] = 2
    },
    ["cannon-shell"] = {
      ["1"] = 1
    },
    carbon = {
      ["1"] = 1,
      ["3"] = 3
    },
    ["cargo-wagon"] = {
      ["1"] = 1
    },
    ["ceramic-bearing"] = {
      ["2"] = 2
    },
    ["ceramic-bearing-ball"] = {
      ["8"] = 8,
      ["16"] = 16
    },
    ["ceramic-pipe"] = {
      ["5"] = 5,
      ["15"] = 15
    },
    ["chemical-furnace"] = {
      ["1"] = 1
    },
    ["chemical-plant"] = {
      ["1"] = 1
    },
    ["chemical-plant-2"] = {
      ["1"] = 1
    },
    ["chemical-plant-3"] = {
      ["1"] = 1
    },
    ["chlorine-barrel"] = {
      ["1"] = 1
    },
    ["circuit-board"] = {
      ["1"] = 1
    },
    coal = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5,
      ["10"] = 10
    },
    ["cobalt-ore"] = {
      ["2"] = 2
    },
    ["cobalt-oxide"] = {
      ["1"] = 1
    },
    ["cobalt-plate"] = {
      ["1"] = 1
    },
    ["cobalt-steel-alloy"] = {
      ["5"] = 5,
      ["10"] = 10
    },
    concrete = {
      ["10"] = 10,
      ["100"] = 100,
      ["500"] = 500,
      ["1000"] = 1000
    },
    ["construction-robot"] = {
      ["1"] = 1
    },
    ["copper-cable"] = {
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5,
      ["10"] = 10
    },
    ["copper-ore"] = {
      ["1"] = 1,
      ["7"] = 7
    },
    ["copper-pipe"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["10"] = 10
    },
    ["copper-plate"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5,
      ["8"] = 8,
      ["10"] = 10,
      ["15"] = 15,
      ["20"] = 20,
      ["50"] = 50,
      ["100"] = 100,
      ["500"] = 500
    },
    ["copper-tungsten-alloy"] = {
      ["10"] = 10,
      ["15"] = 15,
      ["50"] = 50
    },
    cordite = {
      ["1"] = 1
    },
    ["crude-oil-barrel"] = {
      ["1"] = 1
    },
    ["defender-capsule"] = {
      ["4"] = 4
    },
    ["diamond-3"] = {
      ["1"] = 1
    },
    ["diamond-4"] = {
      ["1"] = 1
    },
    ["diamond-5"] = {
      ["1"] = 1,
      ["5"] = 5
    },
    ["diamond-ore"] = {
      ["1"] = 1
    },
    ["dinitrogen-tetroxide-barrel"] = {
      ["1"] = 1
    },
    ["distractor-capsule"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["4"] = 4
    },
    ["effectivity-module"] = {
      ["1"] = 1
    },
    ["effectivity-module-2"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["effectivity-module-3"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5
    },
    ["effectivity-module-4"] = {
      ["1"] = 1
    },
    ["effectivity-module-5"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["effectivity-module-6"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["effectivity-module-7"] = {
      ["1"] = 1
    },
    ["effectivity-module-8"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["effectivity-processor"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5
    },
    ["effectivity-processor-2"] = {
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5
    },
    ["effectivity-processor-3"] = {
      ["6"] = 6,
      ["8"] = 8,
      ["10"] = 10
    },
    ["electric-bullet"] = {
      ["5"] = 5
    },
    ["electric-bullet-projectile"] = {
      ["1"] = 1
    },
    ["electric-chemical-mixing-furnace"] = {
      ["1"] = 1
    },
    ["electric-engine-unit"] = {
      ["1"] = 1,
      ["5"] = 5,
      ["20"] = 20,
      ["30"] = 30,
      ["200"] = 200
    },
    ["electric-furnace"] = {
      ["1"] = 1
    },
    ["electric-furnace-2"] = {
      ["1"] = 1
    },
    ["electric-mining-drill"] = {
      ["1"] = 1
    },
    ["electric-rocket-warhead"] = {
      ["1"] = 1
    },
    electrolyser = {
      ["1"] = 1
    },
    ["electrolyser-2"] = {
      ["1"] = 1
    },
    ["electrolyser-3"] = {
      ["1"] = 1
    },
    ["electronic-circuit"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5,
      ["6"] = 6,
      ["10"] = 10,
      ["14"] = 14,
      ["15"] = 15,
      ["20"] = 20,
      ["24"] = 24
    },
    ["electronic-components"] = {
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["6"] = 6,
      ["8"] = 8,
      ["9"] = 9
    },
    ["electronics-machine-1"] = {
      ["1"] = 1
    },
    ["electronics-machine-2"] = {
      ["1"] = 1
    },
    ["electrum-alloy"] = {
      ["2"] = 2,
      ["4"] = 4,
      ["8"] = 8
    },
    ["emerald-3"] = {
      ["1"] = 1
    },
    ["emerald-4"] = {
      ["1"] = 1
    },
    ["emerald-5"] = {
      ["1"] = 1
    },
    ["emerald-ore"] = {
      ["1"] = 1
    },
    ["empty-barrel"] = {
      ["1"] = 1
    },
    ["empty-canister"] = {
      ["1"] = 1
    },
    ["energy-shield-equipment"] = {
      ["2"] = 2
    },
    ["energy-shield-mk2-equipment"] = {
      ["2"] = 2
    },
    ["energy-shield-mk3-equipment"] = {
      ["2"] = 2
    },
    ["energy-shield-mk4-equipment"] = {
      ["2"] = 2
    },
    ["energy-shield-mk5-equipment"] = {
      ["2"] = 2
    },
    ["engine-unit"] = {
      ["1"] = 1,
      ["5"] = 5,
      ["8"] = 8,
      ["20"] = 20,
      ["32"] = 32,
      ["64"] = 64
    },
    ["exoskeleton-equipment"] = {
      ["1"] = 1
    },
    ["exoskeleton-equipment-2"] = {
      ["1"] = 1
    },
    ["explosive-cannon-shell"] = {
      ["1"] = 1
    },
    ["explosive-rocket-warhead"] = {
      ["1"] = 1
    },
    explosives = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5,
      ["10"] = 10
    },
    ["express-inserter"] = {
      ["1"] = 1
    },
    ["express-splitter"] = {
      ["1"] = 1
    },
    ["express-transport-belt"] = {
      ["1"] = 1,
      ["4"] = 4,
      ["5"] = 5
    },
    ["express-underground-belt"] = {
      ["2"] = 2
    },
    ["fast-accumulator"] = {
      ["1"] = 1
    },
    ["fast-accumulator-2"] = {
      ["1"] = 1
    },
    ["fast-inserter"] = {
      ["1"] = 1
    },
    ["fast-loader"] = {
      ["1"] = 1
    },
    ["fast-splitter"] = {
      ["1"] = 1
    },
    ["fast-transport-belt"] = {
      ["1"] = 1,
      ["5"] = 5
    },
    ["fast-underground-belt"] = {
      ["2"] = 2
    },
    ["ferric-chloride-solution-barrel"] = {
      ["1"] = 1
    },
    fertiliser = {
      ["5"] = 5
    },
    ["fibreglass-board"] = {
      ["1"] = 1
    },
    ["filter-inserter"] = {
      ["1"] = 1,
      ["4"] = 4
    },
    ["firearm-magazine"] = {
      ["1"] = 1
    },
    ["flame-bullet"] = {
      ["5"] = 5
    },
    ["flame-bullet-projectile"] = {
      ["1"] = 1
    },
    ["flame-rocket-warhead"] = {
      ["1"] = 1
    },
    ["fluid-wagon"] = {
      ["1"] = 1
    },
    ["flying-robot-frame"] = {
      ["1"] = 1
    },
    ["flying-robot-frame-2"] = {
      ["1"] = 1
    },
    ["flying-robot-frame-3"] = {
      ["1"] = 1
    },
    ["flying-robot-frame-4"] = {
      ["1"] = 1
    },
    ["fusion-reactor-equipment"] = {
      ["1"] = 1
    },
    ["fusion-reactor-equipment-2"] = {
      ["1"] = 1
    },
    ["fusion-reactor-equipment-3"] = {
      ["1"] = 1
    },
    ["gas-canister"] = {
      ["1"] = 1
    },
    ["gilded-copper-cable"] = {
      ["2"] = 2,
      ["5"] = 5
    },
    glass = {
      ["1"] = 1,
      ["2"] = 2,
      ["4"] = 4,
      ["8"] = 8,
      ["10"] = 10
    },
    ["glycerol-barrel"] = {
      ["1"] = 1
    },
    ["gold-ore"] = {
      ["1"] = 1
    },
    ["gold-plate"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["green-module-1"] = {
      ["1"] = 1
    },
    ["green-module-2"] = {
      ["1"] = 1
    },
    ["green-module-3"] = {
      ["1"] = 1
    },
    ["green-module-4"] = {
      ["1"] = 1
    },
    ["green-module-5"] = {
      ["1"] = 1
    },
    ["green-module-6"] = {
      ["1"] = 1
    },
    ["green-module-7"] = {
      ["1"] = 1
    },
    ["green-splitter"] = {
      ["1"] = 1
    },
    ["green-transport-belt"] = {
      ["1"] = 1
    },
    ["green-underground-belt"] = {
      ["2"] = 2
    },
    grenade = {
      ["1"] = 1,
      ["7"] = 7
    },
    ["grinding-wheel"] = {
      ["1"] = 1
    },
    ["gun-cotton"] = {
      ["13"] = 13
    },
    ["gun-turret"] = {
      ["1"] = 1
    },
    ["he-bullet"] = {
      ["5"] = 5
    },
    ["he-bullet-projectile"] = {
      ["1"] = 1
    },
    ["heat-exchanger"] = {
      ["1"] = 1
    },
    ["heat-exchanger-2"] = {
      ["1"] = 1
    },
    ["heat-shield-tile"] = {
      ["10"] = 10
    },
    ["heavy-oil-barrel"] = {
      ["1"] = 1
    },
    ["hydrazine-barrel"] = {
      ["1"] = 1
    },
    ["hydrogen-barrel"] = {
      ["1"] = 1
    },
    ["hydrogen-chloride-barrel"] = {
      ["1"] = 1
    },
    ["hydrogen-peroxide-barrel"] = {
      ["1"] = 1
    },
    inserter = {
      ["1"] = 1,
      ["5"] = 5
    },
    ["insulated-cable"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5
    },
    ["intergrated-electronics"] = {
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["6"] = 6,
      ["8"] = 8
    },
    ["invar-alloy"] = {
      ["5"] = 5,
      ["10"] = 10,
      ["15"] = 15,
      ["16"] = 16,
      ["20"] = 20
    },
    ["iron-gear-wheel"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["5"] = 5,
      ["6"] = 6,
      ["8"] = 8,
      ["10"] = 10,
      ["15"] = 15,
      ["20"] = 20,
      ["30"] = 30,
      ["40"] = 40,
      ["50"] = 50,
      ["80"] = 80,
      ["100"] = 100
    },
    ["iron-ore"] = {
      ["1"] = 1
    },
    ["iron-plate"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5,
      ["6"] = 6,
      ["8"] = 8,
      ["9"] = 9,
      ["10"] = 10,
      ["14"] = 14,
      ["15"] = 15,
      ["20"] = 20,
      ["25"] = 25,
      ["30"] = 30,
      ["40"] = 40,
      ["50"] = 50,
      ["100"] = 100
    },
    ["iron-stick"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3
    },
    lab = {
      ["1"] = 1
    },
    ["large-accumulator"] = {
      ["1"] = 1
    },
    ["large-accumulator-2"] = {
      ["1"] = 1
    },
    ["laser-rifle-battery"] = {
      ["1"] = 1
    },
    ["laser-rifle-battery-amethyst"] = {
      ["1"] = 1
    },
    ["laser-rifle-battery-case"] = {
      ["1"] = 1
    },
    ["laser-rifle-battery-emerald"] = {
      ["1"] = 1
    },
    ["laser-rifle-battery-ruby"] = {
      ["1"] = 1
    },
    ["laser-rifle-battery-sapphire"] = {
      ["1"] = 1
    },
    ["laser-rifle-battery-topaz"] = {
      ["1"] = 1
    },
    ["laser-turret"] = {
      ["1"] = 1,
      ["10"] = 10
    },
    ["lead-ore"] = {
      ["1"] = 1
    },
    ["lead-oxide"] = {
      ["2"] = 2,
      ["7"] = 7
    },
    ["lead-plate"] = {
      ["2"] = 2,
      ["7"] = 7
    },
    ["light-oil-barrel"] = {
      ["1"] = 1
    },
    ["liquid-fuel-barrel"] = {
      ["1"] = 1
    },
    ["lithia-water-barrel"] = {
      ["1"] = 1
    },
    lithium = {
      ["1"] = 1
    },
    ["lithium-chloride"] = {
      ["1"] = 1
    },
    ["lithium-cobalt-oxide"] = {
      ["1"] = 1
    },
    ["lithium-ion-battery"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5,
      ["10"] = 10,
      ["12"] = 12
    },
    ["lithium-perchlorate"] = {
      ["2"] = 2,
      ["4"] = 4
    },
    loader = {
      ["1"] = 1
    },
    locomotive = {
      ["1"] = 1
    },
    ["logistic-chest-active-provider"] = {
      ["1"] = 1
    },
    ["logistic-chest-passive-provider"] = {
      ["1"] = 1
    },
    ["logistic-chest-requester"] = {
      ["1"] = 1
    },
    ["logistic-chest-storage"] = {
      ["1"] = 1
    },
    ["logistic-robot"] = {
      ["1"] = 1
    },
    ["low-density-structure"] = {
      ["10"] = 10,
      ["100"] = 100
    },
    ["lubricant-barrel"] = {
      ["1"] = 1
    },
    magazine = {
      ["1"] = 1
    },
    ["medium-electric-pole"] = {
      ["1"] = 1
    },
    ["medium-electric-pole-2"] = {
      ["1"] = 1
    },
    ["medium-electric-pole-3"] = {
      ["1"] = 1
    },
    ["module-case"] = {
      ["1"] = 1
    },
    ["module-circuit-board"] = {
      ["1"] = 1
    },
    ["module-contact"] = {
      ["4"] = 4,
      ["5"] = 5
    },
    ["module-processor-board"] = {
      ["1"] = 1
    },
    ["module-processor-board-2"] = {
      ["1"] = 1
    },
    ["module-processor-board-3"] = {
      ["1"] = 1
    },
    ["multi-layer-circuit-board"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3
    },
    ["nickel-ore"] = {
      ["1"] = 1
    },
    ["nickel-plate"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3
    },
    ["night-vision-equipment"] = {
      ["1"] = 1
    },
    ["night-vision-equipment-2"] = {
      ["1"] = 1
    },
    ["nitinol-alloy"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5,
      ["8"] = 8,
      ["10"] = 10,
      ["15"] = 15,
      ["20"] = 20
    },
    ["nitinol-bearing"] = {
      ["4"] = 4,
      ["5"] = 5,
      ["10"] = 10,
      ["20"] = 20,
      ["30"] = 30,
      ["60"] = 60
    },
    ["nitinol-bearing-ball"] = {
      ["8"] = 8,
      ["16"] = 16
    },
    ["nitinol-gear-wheel"] = {
      ["2"] = 2,
      ["4"] = 4,
      ["5"] = 5,
      ["10"] = 10,
      ["20"] = 20,
      ["30"] = 30,
      ["120"] = 120
    },
    ["nitric-acid-barrel"] = {
      ["1"] = 1
    },
    ["nitric-oxide-barrel"] = {
      ["1"] = 1
    },
    ["nitrogen-barrel"] = {
      ["1"] = 1
    },
    ["nitrogen-dioxide-barrel"] = {
      ["1"] = 1
    },
    ["nitroglycerin-barrel"] = {
      ["1"] = 1
    },
    ["oil-refinery"] = {
      ["1"] = 1
    },
    ["oil-refinery-2"] = {
      ["1"] = 1
    },
    ["oil-refinery-3"] = {
      ["1"] = 1
    },
    ["oxygen-barrel"] = {
      ["1"] = 1
    },
    ["personal-laser-defense-equipment"] = {
      ["1"] = 1
    },
    ["personal-laser-defense-equipment-2"] = {
      ["1"] = 1
    },
    ["personal-laser-defense-equipment-3"] = {
      ["1"] = 1
    },
    ["personal-laser-defense-equipment-4"] = {
      ["1"] = 1
    },
    ["personal-laser-defense-equipment-5"] = {
      ["1"] = 1
    },
    ["personal-roboport-equipment"] = {
      ["5"] = 5
    },
    ["petroleum-gas-barrel"] = {
      ["1"] = 1
    },
    ["petroleum-jelly"] = {
      ["1"] = 1
    },
    ["phenolic-board"] = {
      ["1"] = 1
    },
    ["piercing-rocket-warhead"] = {
      ["1"] = 1
    },
    ["piercing-rounds-magazine"] = {
      ["1"] = 1
    },
    pipe = {
      ["1"] = 1,
      ["2"] = 2,
      ["4"] = 4,
      ["5"] = 5,
      ["8"] = 8,
      ["10"] = 10,
      ["20"] = 20,
      ["100"] = 100
    },
    ["plastic-bar"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5,
      ["10"] = 10,
      ["20"] = 20,
      ["25"] = 25,
      ["40"] = 40,
      ["50"] = 50,
      ["100"] = 100
    },
    ["plastic-pipe"] = {
      ["5"] = 5,
      ["12"] = 12
    },
    ["poison-bullet"] = {
      ["5"] = 5
    },
    ["poison-bullet-projectile"] = {
      ["1"] = 1
    },
    ["poison-capsule"] = {
      ["4"] = 4
    },
    ["poison-rocket-warhead"] = {
      ["1"] = 1
    },
    ["polishing-compound"] = {
      ["1"] = 1
    },
    ["polishing-wheel"] = {
      ["1"] = 1
    },
    ["pollution-clean-module-1"] = {
      ["1"] = 1
    },
    ["pollution-clean-module-2"] = {
      ["1"] = 1
    },
    ["pollution-clean-module-3"] = {
      ["1"] = 1
    },
    ["pollution-clean-module-4"] = {
      ["1"] = 1
    },
    ["pollution-clean-module-5"] = {
      ["1"] = 1
    },
    ["pollution-clean-module-6"] = {
      ["1"] = 1
    },
    ["pollution-clean-module-7"] = {
      ["1"] = 1
    },
    ["pollution-clean-module-8"] = {
      ["1"] = 1
    },
    ["pollution-clean-processor"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["pollution-clean-processor-2"] = {
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5
    },
    ["pollution-clean-processor-3"] = {
      ["6"] = 6,
      ["8"] = 8,
      ["10"] = 10
    },
    ["pollution-create-module-1"] = {
      ["1"] = 1
    },
    ["pollution-create-module-2"] = {
      ["1"] = 1
    },
    ["pollution-create-module-3"] = {
      ["1"] = 1
    },
    ["pollution-create-module-4"] = {
      ["1"] = 1
    },
    ["pollution-create-module-5"] = {
      ["1"] = 1
    },
    ["pollution-create-module-6"] = {
      ["1"] = 1
    },
    ["pollution-create-module-7"] = {
      ["1"] = 1
    },
    ["pollution-create-processor"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["pollution-create-processor-2"] = {
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5
    },
    ["pollution-create-processor-3"] = {
      ["6"] = 6,
      ["8"] = 8,
      ["10"] = 10
    },
    ["powdered-tungsten"] = {
      ["1"] = 1,
      ["3"] = 3,
      ["4"] = 4
    },
    ["power-armor-mk2"] = {
      ["1"] = 1
    },
    ["processing-electronics"] = {
      ["1"] = 1,
      ["3"] = 3,
      ["4"] = 4,
      ["8"] = 8,
      ["12"] = 12
    },
    ["processing-unit"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5,
      ["7"] = 7,
      ["8"] = 8,
      ["9"] = 9,
      ["10"] = 10,
      ["16"] = 16,
      ["20"] = 20,
      ["25"] = 25,
      ["40"] = 40,
      ["50"] = 50,
      ["100"] = 100,
      ["125"] = 125,
      ["200"] = 200,
      ["250"] = 250
    },
    ["productivity-module"] = {
      ["1"] = 1
    },
    ["productivity-module-2"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["productivity-module-3"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["productivity-module-4"] = {
      ["1"] = 1
    },
    ["productivity-module-5"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["productivity-module-6"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["productivity-module-7"] = {
      ["1"] = 1
    },
    ["productivity-module-8"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["productivity-processor"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5
    },
    ["productivity-processor-2"] = {
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5
    },
    ["productivity-processor-3"] = {
      ["6"] = 6,
      ["8"] = 8,
      ["10"] = 10
    },
    pump = {
      ["1"] = 1
    },
    pumpjack = {
      ["1"] = 1
    },
    ["pure-water-barrel"] = {
      ["1"] = 1
    },
    quartz = {
      ["1"] = 1,
      ["2"] = 2
    },
    radar = {
      ["1"] = 1
    },
    ["radar-2"] = {
      ["1"] = 1
    },
    ["radar-3"] = {
      ["1"] = 1
    },
    ["radar-4"] = {
      ["1"] = 1
    },
    ["radar-5"] = {
      ["5"] = 5
    },
    ["raw-productivity-module-1"] = {
      ["1"] = 1
    },
    ["raw-productivity-module-2"] = {
      ["1"] = 1
    },
    ["raw-productivity-module-3"] = {
      ["1"] = 1
    },
    ["raw-productivity-module-4"] = {
      ["1"] = 1
    },
    ["raw-productivity-module-5"] = {
      ["1"] = 1
    },
    ["raw-productivity-module-6"] = {
      ["1"] = 1
    },
    ["raw-productivity-module-7"] = {
      ["1"] = 1
    },
    ["raw-speed-module-1"] = {
      ["1"] = 1
    },
    ["raw-speed-module-2"] = {
      ["1"] = 1
    },
    ["raw-speed-module-3"] = {
      ["1"] = 1
    },
    ["raw-speed-module-4"] = {
      ["1"] = 1
    },
    ["raw-speed-module-5"] = {
      ["1"] = 1
    },
    ["raw-speed-module-6"] = {
      ["1"] = 1
    },
    ["raw-speed-module-7"] = {
      ["1"] = 1
    },
    ["raw-wood"] = {
      ["1"] = 1
    },
    ["reinforced-wall"] = {
      ["1"] = 1
    },
    resin = {
      ["1"] = 1
    },
    roboport = {
      ["1"] = 1
    },
    ["roboport-antenna-1"] = {
      ["1"] = 1,
      ["3"] = 3,
      ["5"] = 5
    },
    ["roboport-antenna-2"] = {
      ["3"] = 3,
      ["5"] = 5
    },
    ["roboport-antenna-3"] = {
      ["3"] = 3,
      ["5"] = 5
    },
    ["roboport-antenna-4"] = {
      ["3"] = 3,
      ["5"] = 5
    },
    ["roboport-chargepad-1"] = {
      ["1"] = 1,
      ["4"] = 4,
      ["9"] = 9
    },
    ["roboport-chargepad-2"] = {
      ["1"] = 1,
      ["4"] = 4,
      ["9"] = 9
    },
    ["roboport-chargepad-3"] = {
      ["1"] = 1,
      ["4"] = 4,
      ["9"] = 9
    },
    ["roboport-chargepad-4"] = {
      ["1"] = 1,
      ["4"] = 4,
      ["9"] = 9
    },
    ["roboport-door-1"] = {
      ["1"] = 1
    },
    ["roboport-door-2"] = {
      ["1"] = 1
    },
    ["roboport-door-3"] = {
      ["1"] = 1
    },
    ["roboport-door-4"] = {
      ["1"] = 1
    },
    ["robot-brain-construction"] = {
      ["1"] = 1
    },
    ["robot-brain-construction-2"] = {
      ["1"] = 1
    },
    ["robot-brain-construction-3"] = {
      ["1"] = 1
    },
    ["robot-brain-construction-4"] = {
      ["1"] = 1
    },
    ["robot-brain-logistic"] = {
      ["1"] = 1
    },
    ["robot-brain-logistic-2"] = {
      ["1"] = 1
    },
    ["robot-brain-logistic-3"] = {
      ["1"] = 1
    },
    ["robot-brain-logistic-4"] = {
      ["1"] = 1
    },
    ["robot-tool-construction"] = {
      ["1"] = 1
    },
    ["robot-tool-construction-2"] = {
      ["1"] = 1
    },
    ["robot-tool-construction-3"] = {
      ["1"] = 1
    },
    ["robot-tool-construction-4"] = {
      ["1"] = 1
    },
    ["robot-tool-logistic"] = {
      ["1"] = 1
    },
    ["robot-tool-logistic-2"] = {
      ["1"] = 1
    },
    ["robot-tool-logistic-3"] = {
      ["1"] = 1
    },
    ["robot-tool-logistic-4"] = {
      ["1"] = 1
    },
    rocket = {
      ["1"] = 1
    },
    ["rocket-body"] = {
      ["1"] = 1
    },
    ["rocket-control-unit"] = {
      ["10"] = 10,
      ["100"] = 100
    },
    ["rocket-engine"] = {
      ["1"] = 1
    },
    ["rocket-fuel"] = {
      ["10"] = 10,
      ["50"] = 50
    },
    ["rocket-warhead"] = {
      ["1"] = 1
    },
    rubber = {
      ["1"] = 1
    },
    ["ruby-3"] = {
      ["1"] = 1
    },
    ["ruby-4"] = {
      ["1"] = 1
    },
    ["ruby-5"] = {
      ["1"] = 1
    },
    ["ruby-ore"] = {
      ["1"] = 1
    },
    ["rutile-ore"] = {
      ["2"] = 2
    },
    salt = {
      ["1"] = 1
    },
    ["sapphire-3"] = {
      ["1"] = 1
    },
    ["sapphire-4"] = {
      ["1"] = 1
    },
    ["sapphire-5"] = {
      ["1"] = 1
    },
    ["sapphire-ore"] = {
      ["1"] = 1
    },
    seedling = {
      ["10"] = 10
    },
    shot = {
      ["1"] = 1,
      ["5"] = 5
    },
    ["shotgun-shell"] = {
      ["2"] = 2
    },
    ["shotgun-shell-casing"] = {
      ["1"] = 1
    },
    silicon = {
      ["1"] = 1
    },
    ["silicon-carbide"] = {
      ["5"] = 5
    },
    ["silicon-nitride"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5,
      ["10"] = 10,
      ["15"] = 15
    },
    ["silicon-powder"] = {
      ["1"] = 1
    },
    ["silicon-wafer"] = {
      ["2"] = 2,
      ["4"] = 4,
      ["6"] = 6,
      ["10"] = 10,
      ["16"] = 16,
      ["36"] = 36,
      ["64"] = 64
    },
    ["silver-nitrate"] = {
      ["1"] = 1
    },
    ["silver-ore"] = {
      ["1"] = 1
    },
    ["silver-oxide"] = {
      ["1"] = 1
    },
    ["silver-plate"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["8"] = 8
    },
    ["silver-zinc-battery"] = {
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5,
      ["10"] = 10,
      ["12"] = 12,
      ["100"] = 100
    },
    ["slow-accumulator"] = {
      ["1"] = 1
    },
    ["slow-accumulator-2"] = {
      ["1"] = 1
    },
    ["slowdown-capsule"] = {
      ["4"] = 4
    },
    ["sodium-hydroxide"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["4"] = 4
    },
    ["solar-panel"] = {
      ["1"] = 1
    },
    ["solar-panel-2"] = {
      ["1"] = 1
    },
    ["solar-panel-3"] = {
      ["100"] = 100
    },
    ["solar-panel-equipment"] = {
      ["1"] = 1
    },
    ["solar-panel-equipment-2"] = {
      ["1"] = 1
    },
    ["solar-panel-equipment-3"] = {
      ["1"] = 1
    },
    ["solar-panel-large"] = {
      ["1"] = 1
    },
    ["solar-panel-large-2"] = {
      ["1"] = 1
    },
    ["solar-panel-small"] = {
      ["1"] = 1
    },
    ["solar-panel-small-2"] = {
      ["1"] = 1
    },
    solder = {
      ["1"] = 1,
      ["2"] = 2,
      ["4"] = 4,
      ["5"] = 5,
      ["10"] = 10
    },
    ["solder-alloy"] = {
      ["4"] = 4
    },
    ["solid-fuel"] = {
      ["1"] = 1
    },
    ["speed-module"] = {
      ["1"] = 1
    },
    ["speed-module-2"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["speed-module-3"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5
    },
    ["speed-module-4"] = {
      ["1"] = 1
    },
    ["speed-module-5"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["speed-module-6"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["speed-module-7"] = {
      ["1"] = 1
    },
    ["speed-module-8"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["speed-processor"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5
    },
    ["speed-processor-2"] = {
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5
    },
    ["speed-processor-3"] = {
      ["6"] = 6,
      ["8"] = 8,
      ["10"] = 10
    },
    splitter = {
      ["1"] = 1
    },
    ["stack-filter-inserter"] = {
      ["1"] = 1
    },
    ["stack-inserter"] = {
      ["1"] = 1
    },
    ["steam-engine"] = {
      ["1"] = 1
    },
    ["steam-engine-2"] = {
      ["1"] = 1
    },
    ["steam-turbine"] = {
      ["1"] = 1
    },
    ["steam-turbine-2"] = {
      ["1"] = 1
    },
    ["steel-bearing"] = {
      ["2"] = 2,
      ["5"] = 5,
      ["8"] = 8,
      ["10"] = 10,
      ["16"] = 16,
      ["20"] = 20,
      ["30"] = 30
    },
    ["steel-bearing-ball"] = {
      ["8"] = 8,
      ["16"] = 16
    },
    ["steel-chest"] = {
      ["1"] = 1
    },
    ["steel-furnace"] = {
      ["1"] = 1
    },
    ["steel-gear-wheel"] = {
      ["2"] = 2,
      ["4"] = 4,
      ["5"] = 5,
      ["10"] = 10,
      ["12"] = 12,
      ["20"] = 20,
      ["25"] = 25,
      ["75"] = 75
    },
    ["steel-pipe"] = {
      ["1"] = 1,
      ["5"] = 5,
      ["10"] = 10,
      ["12"] = 12
    },
    ["steel-plate"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5,
      ["6"] = 6,
      ["8"] = 8,
      ["9"] = 9,
      ["10"] = 10,
      ["15"] = 15,
      ["16"] = 16,
      ["20"] = 20,
      ["25"] = 25,
      ["30"] = 30,
      ["40"] = 40,
      ["50"] = 50,
      ["100"] = 100,
      ["500"] = 500,
      ["1000"] = 1000
    },
    stone = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5,
      ["20"] = 20
    },
    ["stone-brick"] = {
      ["1"] = 1,
      ["3"] = 3,
      ["5"] = 5,
      ["10"] = 10
    },
    ["stone-furnace"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["stone-pipe"] = {
      ["2"] = 2,
      ["5"] = 5,
      ["10"] = 10
    },
    ["stone-wall"] = {
      ["1"] = 1
    },
    ["storage-tank"] = {
      ["1"] = 1,
      ["3"] = 3
    },
    ["storage-tank-2"] = {
      ["1"] = 1,
      ["3"] = 3
    },
    ["storage-tank-3"] = {
      ["1"] = 1,
      ["3"] = 3
    },
    substation = {
      ["1"] = 1
    },
    ["substation-2"] = {
      ["1"] = 1
    },
    ["substation-3"] = {
      ["1"] = 1
    },
    sulfur = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5
    },
    ["sulfur-dioxide-barrel"] = {
      ["1"] = 1
    },
    ["sulfuric-acid-barrel"] = {
      ["1"] = 1
    },
    ["sulfuric-nitric-acid-barrel"] = {
      ["1"] = 1
    },
    ["superior-circuit-board"] = {
      ["1"] = 1
    },
    tank = {
      ["1"] = 1
    },
    ["tin-ore"] = {
      ["1"] = 1
    },
    ["tin-plate"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["4"] = 4,
      ["9"] = 9
    },
    ["tinned-copper-cable"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5
    },
    ["titanium-bearing"] = {
      ["2"] = 2,
      ["4"] = 4,
      ["5"] = 5,
      ["8"] = 8,
      ["10"] = 10,
      ["16"] = 16,
      ["20"] = 20,
      ["30"] = 30,
      ["40"] = 40
    },
    ["titanium-bearing-ball"] = {
      ["8"] = 8,
      ["16"] = 16
    },
    ["titanium-gear-wheel"] = {
      ["2"] = 2,
      ["4"] = 4,
      ["5"] = 5,
      ["10"] = 10,
      ["12"] = 12,
      ["15"] = 15,
      ["20"] = 20,
      ["25"] = 25,
      ["75"] = 75,
      ["100"] = 100
    },
    ["titanium-pipe"] = {
      ["5"] = 5,
      ["10"] = 10,
      ["15"] = 15
    },
    ["titanium-plate"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5,
      ["8"] = 8,
      ["9"] = 9,
      ["10"] = 10,
      ["15"] = 15,
      ["16"] = 16,
      ["20"] = 20,
      ["25"] = 25,
      ["75"] = 75
    },
    ["topaz-3"] = {
      ["1"] = 1
    },
    ["topaz-4"] = {
      ["1"] = 1
    },
    ["topaz-5"] = {
      ["1"] = 1
    },
    ["topaz-ore"] = {
      ["1"] = 1
    },
    ["transport-belt"] = {
      ["1"] = 1,
      ["4"] = 4,
      ["5"] = 5
    },
    ["tungsten-carbide"] = {
      ["1"] = 1,
      ["5"] = 5,
      ["10"] = 10,
      ["15"] = 15
    },
    ["tungsten-gear-wheel"] = {
      ["10"] = 10
    },
    ["tungsten-ore"] = {
      ["2"] = 2
    },
    ["tungsten-oxide"] = {
      ["1"] = 1
    },
    ["tungsten-pipe"] = {
      ["1"] = 1,
      ["5"] = 5,
      ["10"] = 10,
      ["18"] = 18
    },
    ["tungsten-plate"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5,
      ["10"] = 10
    },
    ["tungstic-acid-barrel"] = {
      ["1"] = 1
    },
    ["underground-belt"] = {
      ["2"] = 2
    },
    ["uranium-235"] = {
      ["1"] = 1,
      ["30"] = 30,
      ["40"] = 40
    },
    ["uranium-238"] = {
      ["1"] = 1,
      ["5"] = 5,
      ["19"] = 19
    },
    ["uranium-ore"] = {
      ["10"] = 10
    },
    ["used-up-uranium-fuel-cell"] = {
      ["5"] = 5
    },
    ["vehicle-battery-1"] = {
      ["2"] = 2
    },
    ["vehicle-battery-2"] = {
      ["2"] = 2
    },
    ["vehicle-battery-3"] = {
      ["2"] = 2
    },
    ["vehicle-battery-4"] = {
      ["2"] = 2
    },
    ["vehicle-battery-5"] = {
      ["2"] = 2
    },
    ["vehicle-big-turret-1"] = {
      ["1"] = 1
    },
    ["vehicle-big-turret-2"] = {
      ["1"] = 1
    },
    ["vehicle-big-turret-3"] = {
      ["1"] = 1
    },
    ["vehicle-big-turret-4"] = {
      ["1"] = 1
    },
    ["vehicle-big-turret-5"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-cell-1"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-cell-2"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-cell-3"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-cell-4"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-cell-5"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-reactor-1"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-reactor-2"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-reactor-3"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-reactor-4"] = {
      ["1"] = 1
    },
    ["vehicle-fusion-reactor-5"] = {
      ["1"] = 1
    },
    ["vehicle-laser-defense-1"] = {
      ["1"] = 1
    },
    ["vehicle-laser-defense-2"] = {
      ["1"] = 1
    },
    ["vehicle-laser-defense-3"] = {
      ["1"] = 1
    },
    ["vehicle-laser-defense-4"] = {
      ["1"] = 1
    },
    ["vehicle-laser-defense-5"] = {
      ["1"] = 1
    },
    ["vehicle-motor"] = {
      ["1"] = 1
    },
    ["vehicle-roboport"] = {
      ["5"] = 5
    },
    ["vehicle-shield-1"] = {
      ["2"] = 2
    },
    ["vehicle-shield-2"] = {
      ["2"] = 2
    },
    ["vehicle-shield-3"] = {
      ["2"] = 2
    },
    ["vehicle-shield-4"] = {
      ["2"] = 2
    },
    ["vehicle-shield-5"] = {
      ["2"] = 2
    },
    ["vehicle-solar-panel-1"] = {
      ["1"] = 1
    },
    ["vehicle-solar-panel-2"] = {
      ["1"] = 1
    },
    ["vehicle-solar-panel-3"] = {
      ["1"] = 1
    },
    ["vehicle-solar-panel-4"] = {
      ["1"] = 1
    },
    ["vehicle-solar-panel-5"] = {
      ["1"] = 1
    },
    ["water-barrel"] = {
      ["1"] = 1
    },
    ["water-miner-1"] = {
      ["1"] = 1
    },
    ["water-miner-2"] = {
      ["1"] = 1
    },
    ["water-miner-3"] = {
      ["1"] = 1
    },
    ["water-miner-4"] = {
      ["1"] = 1
    },
    ["water-pump"] = {
      ["1"] = 1
    },
    ["water-pump-2"] = {
      ["1"] = 1
    },
    ["water-pump-3"] = {
      ["1"] = 1
    },
    wood = {
      ["1"] = 1,
      ["2"] = 2,
      ["4"] = 4,
      ["5"] = 5,
      ["10"] = 10
    },
    ["wooden-board"] = {
      ["1"] = 1
    },
    ["zinc-ore"] = {
      ["1"] = 1
    },
    ["zinc-plate"] = {
      ["1"] = 1,
      ["2"] = 2
    }
  }
}