local ingredients = {
  fluid = {
    ["crude-oil"] = {
      ["100"] = 100,
      ["250"] = 250
    },
    ["heavy-oil"] = {
      ["10"] = 10,
      ["20"] = 20,
      ["25"] = 25,
      ["40"] = 40,
      ["50"] = 50,
      ["250"] = 250
    },
    ["light-oil"] = {
      ["10"] = 10,
      ["30"] = 30,
      ["50"] = 50,
      ["250"] = 250
    },
    lubricant = {
      ["15"] = 15,
      ["20"] = 20,
      ["40"] = 40,
      ["80"] = 80,
      ["250"] = 250
    },
    ["petroleum-gas"] = {
      ["20"] = 20,
      ["30"] = 30,
      ["250"] = 250
    },
    steam = {
      ["50"] = 50
    },
    ["sulfuric-acid"] = {
      ["5"] = 5,
      ["10"] = 10,
      ["20"] = 20,
      ["40"] = 40,
      ["250"] = 250
    },
    water = {
      ["10"] = 10,
      ["30"] = 30,
      ["50"] = 50,
      ["100"] = 100,
      ["250"] = 250
    }
  },
  item = {
    accumulator = {
      ["100"] = 100
    },
    ["advanced-circuit"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["5"] = 5,
      ["10"] = 10,
      ["20"] = 20,
      ["30"] = 30,
      ["45"] = 45,
      ["100"] = 100,
      ["200"] = 200,
      ["500"] = 500
    },
    ["assembling-machine-1"] = {
      ["1"] = 1
    },
    ["assembling-machine-2"] = {
      ["2"] = 2
    },
    battery = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5,
      ["12"] = 12,
      ["45"] = 45,
      ["100"] = 100
    },
    ["battery-equipment"] = {
      ["10"] = 10
    },
    ["cannon-shell"] = {
      ["1"] = 1
    },
    coal = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5,
      ["10"] = 10
    },
    concrete = {
      ["10"] = 10,
      ["100"] = 100,
      ["500"] = 500,
      ["1000"] = 1000
    },
    ["copper-cable"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5,
      ["8"] = 8,
      ["10"] = 10,
      ["30"] = 30
    },
    ["copper-ore"] = {
      ["1"] = 1
    },
    ["copper-plate"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5,
      ["10"] = 10,
      ["15"] = 15,
      ["20"] = 20,
      ["50"] = 50,
      ["100"] = 100,
      ["500"] = 500
    },
    ["crude-oil-barrel"] = {
      ["1"] = 1
    },
    ["defender-capsule"] = {
      ["4"] = 4
    },
    ["distractor-capsule"] = {
      ["4"] = 4
    },
    ["effectivity-module"] = {
      ["4"] = 4
    },
    ["effectivity-module-2"] = {
      ["5"] = 5
    },
    ["effectivity-module-3"] = {
      ["5"] = 5
    },
    ["electric-engine-unit"] = {
      ["1"] = 1,
      ["20"] = 20,
      ["30"] = 30,
      ["200"] = 200
    },
    ["electric-furnace"] = {
      ["1"] = 1
    },
    ["electric-mining-drill"] = {
      ["1"] = 1
    },
    ["electronic-circuit"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5,
      ["10"] = 10,
      ["15"] = 15,
      ["20"] = 20
    },
    ["empty-barrel"] = {
      ["1"] = 1
    },
    ["energy-shield-equipment"] = {
      ["10"] = 10
    },
    ["engine-unit"] = {
      ["1"] = 1,
      ["5"] = 5,
      ["8"] = 8,
      ["20"] = 20,
      ["32"] = 32,
      ["64"] = 64
    },
    ["explosive-cannon-shell"] = {
      ["1"] = 1
    },
    explosives = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5,
      ["10"] = 10
    },
    ["express-transport-belt"] = {
      ["5"] = 5
    },
    ["fast-inserter"] = {
      ["1"] = 1
    },
    ["fast-loader"] = {
      ["1"] = 1
    },
    ["fast-splitter"] = {
      ["1"] = 1
    },
    ["fast-transport-belt"] = {
      ["1"] = 1,
      ["5"] = 5
    },
    ["fast-underground-belt"] = {
      ["2"] = 2
    },
    ["firearm-magazine"] = {
      ["1"] = 1
    },
    ["flying-robot-frame"] = {
      ["1"] = 1
    },
    grenade = {
      ["1"] = 1,
      ["7"] = 7
    },
    ["gun-turret"] = {
      ["1"] = 1
    },
    ["heavy-oil-barrel"] = {
      ["1"] = 1
    },
    inserter = {
      ["1"] = 1,
      ["5"] = 5
    },
    ["iron-gear-wheel"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["5"] = 5,
      ["6"] = 6,
      ["8"] = 8,
      ["10"] = 10,
      ["15"] = 15,
      ["20"] = 20,
      ["30"] = 30,
      ["40"] = 40,
      ["45"] = 45,
      ["50"] = 50,
      ["80"] = 80,
      ["100"] = 100
    },
    ["iron-ore"] = {
      ["1"] = 1
    },
    ["iron-plate"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5,
      ["6"] = 6,
      ["8"] = 8,
      ["9"] = 9,
      ["10"] = 10,
      ["15"] = 15,
      ["20"] = 20,
      ["30"] = 30,
      ["40"] = 40,
      ["50"] = 50
    },
    ["iron-stick"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3
    },
    ["laser-turret"] = {
      ["5"] = 5,
      ["10"] = 10
    },
    ["light-oil-barrel"] = {
      ["1"] = 1
    },
    loader = {
      ["1"] = 1
    },
    ["low-density-structure"] = {
      ["10"] = 10,
      ["100"] = 100
    },
    ["lubricant-barrel"] = {
      ["1"] = 1
    },
    ["personal-roboport-equipment"] = {
      ["5"] = 5
    },
    ["petroleum-gas-barrel"] = {
      ["1"] = 1
    },
    ["piercing-rounds-magazine"] = {
      ["1"] = 1
    },
    pipe = {
      ["1"] = 1,
      ["2"] = 2,
      ["4"] = 4,
      ["5"] = 5,
      ["8"] = 8,
      ["10"] = 10,
      ["20"] = 20,
      ["100"] = 100
    },
    ["plastic-bar"] = {
      ["2"] = 2,
      ["4"] = 4,
      ["5"] = 5,
      ["10"] = 10,
      ["100"] = 100
    },
    ["processing-unit"] = {
      ["1"] = 1,
      ["3"] = 3,
      ["5"] = 5,
      ["10"] = 10,
      ["20"] = 20,
      ["40"] = 40,
      ["100"] = 100,
      ["200"] = 200,
      ["250"] = 250
    },
    ["productivity-module"] = {
      ["4"] = 4
    },
    ["productivity-module-2"] = {
      ["5"] = 5
    },
    radar = {
      ["5"] = 5
    },
    ["raw-wood"] = {
      ["1"] = 1
    },
    rocket = {
      ["1"] = 1
    },
    ["rocket-control-unit"] = {
      ["10"] = 10
    },
    ["rocket-fuel"] = {
      ["10"] = 10,
      ["50"] = 50
    },
    ["shotgun-shell"] = {
      ["2"] = 2
    },
    ["solar-panel"] = {
      ["5"] = 5,
      ["100"] = 100
    },
    ["solid-fuel"] = {
      ["10"] = 10
    },
    ["speed-module"] = {
      ["1"] = 1,
      ["4"] = 4
    },
    ["speed-module-2"] = {
      ["5"] = 5
    },
    ["speed-module-3"] = {
      ["5"] = 5
    },
    splitter = {
      ["1"] = 1
    },
    ["stack-inserter"] = {
      ["1"] = 1
    },
    ["steel-chest"] = {
      ["1"] = 1
    },
    ["steel-plate"] = {
      ["1"] = 1,
      ["2"] = 2,
      ["3"] = 3,
      ["4"] = 4,
      ["5"] = 5,
      ["6"] = 6,
      ["8"] = 8,
      ["10"] = 10,
      ["15"] = 15,
      ["16"] = 16,
      ["20"] = 20,
      ["30"] = 30,
      ["40"] = 40,
      ["45"] = 45,
      ["50"] = 50,
      ["100"] = 100,
      ["500"] = 500,
      ["1000"] = 1000
    },
    stone = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5,
      ["20"] = 20
    },
    ["stone-brick"] = {
      ["5"] = 5,
      ["10"] = 10
    },
    ["stone-furnace"] = {
      ["1"] = 1,
      ["2"] = 2
    },
    ["stone-wall"] = {
      ["1"] = 1
    },
    ["storage-tank"] = {
      ["3"] = 3
    },
    sulfur = {
      ["1"] = 1,
      ["2"] = 2,
      ["5"] = 5
    },
    ["sulfuric-acid-barrel"] = {
      ["1"] = 1
    },
    ["transport-belt"] = {
      ["1"] = 1,
      ["4"] = 4,
      ["5"] = 5
    },
    ["underground-belt"] = {
      ["2"] = 2
    },
    ["uranium-235"] = {
      ["1"] = 1,
      ["30"] = 30,
      ["40"] = 40
    },
    ["uranium-238"] = {
      ["1"] = 1,
      ["5"] = 5,
      ["19"] = 19
    },
    ["uranium-ore"] = {
      ["10"] = 10
    },
    ["used-up-uranium-fuel-cell"] = {
      ["5"] = 5
    },
    ["water-barrel"] = {
      ["1"] = 1
    },
    wood = {
      ["2"] = 2,
      ["4"] = 4,
      ["5"] = 5,
      ["10"] = 10
    }
  }
}