local recipes = data.raw.recipe
global = {}
global.ingredients = {}
global.results = {}

function add_ingredients (recipe_name, recipe)
	local ingredients = recipe.ingredients
	for i, v in pairs (ingredients) do
		if not global.ingredients[v.type] then
			global.ingredients[v.type] = {}
		end
		if not global.ingredients[v.type][v.name] then
			global.ingredients[v.type][v.name] = {}
		end
		local text_v_amount = v.amount .. ""
		global.ingredients[v.type][v.name][text_v_amount] = v.amount
	end
end

function add_results (recipe_name, recipe)
	local results = recipe.results
	for i, v in pairs (results) do
		--log ("Recipe: " .. recipe_name .. " table: " .. serpent.block(recipe, {comment = false}))
		if not global.results[v.type] then
			global.results[v.type] = {}
		end
		if not global.results[v.type][v.name] then
			global.results[v.type][v.name] = {}
		end
		if v.amount then
			local text_v_amount = v.amount .. ""
			global.results[v.type][v.name][text_v_amount] = v.amount
		else
			if v.amount_max then
				text_v_amount_max = v.amount_max .. " max"
				global.results[v.type][v.name][text_v_amount_max] = v.amount_max
			end
			if v.amount_max then
				text_v_amount_min = v.amount_min .. " min"
				global.results[v.type][v.name][text_v_amount_min] = v.amount_min
			end
		end
	end
end

-- 'start'
for recipe_name, recipe in pairs (recipes) do
	if recipe.normal then
		add_ingredients (recipe_name, recipe.normal)
		add_ingredients (recipe_name, recipe.expensive)
		add_results (recipe_name, recipe.normal)
		add_results (recipe_name, recipe.expensive)
	else
		add_ingredients (recipe_name, recipe)
		add_results (recipe_name, recipe)
	end
end
-- 'end'

log ("local ingredients = " .. serpent.block(global.ingredients, {comment = false}))
log ("local results = " .. serpent.block(global.results, {comment = false}))